# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DOM::Rect Class Reference

The `Rect` interface is used to represent any rect value. More...

`#include <css_value.h>`

List of all members.

## Public Member Functions

| Rect (const Rect &other)
Rect & | operator= (const Rect &other)
CSSPrimitiveValue | top () const
CSSPrimitiveValue | right () const
CSSPrimitiveValue | bottom () const
CSSPrimitiveValue | left () const
RectImpl * | handle () const
bool | isNull () const

## Protected Member Functions

| Rect (RectImpl *i)

## Protected Attributes

RectImpl * | impl

## Friends

class | CSSPrimitiveValue

## Detailed Description

The `Rect` interface is used to represent any rect value.

This interface reflects the values in the underlying style property. Hence, modifications made through this interface modify the style property.

Definition at line 641 of file css_value.h.

## Member Function Documentation

CSSPrimitiveValue DOM::Rect::top | ( |  | ) | const

| This attribute is used for the top of the rect. Definition at line 551 of file css_value.cpp.

CSSPrimitiveValue DOM::Rect::right | ( |  | ) | const

| This attribute is used for the right of the rect. Definition at line 557 of file css_value.cpp.

CSSPrimitiveValue DOM::Rect::bottom | ( |  | ) | const

| This attribute is used for the bottom of the rect. Definition at line 563 of file css_value.cpp.

CSSPrimitiveValue DOM::Rect::left | ( |  | ) | const

| This attribute is used for the left of the rect. Definition at line 569 of file css_value.cpp.

The documentation for this class was generated from the following files:

- css_value.h
- css_value.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:33:39 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003